## com.sun.appserv.util.cache
Class Constants

    java.lang.Object
      com.sun.appserv.util.cache.Constants

    public class Constants

extends Object

define all cache related constants

Field Summary
`static long` `DEFAULT_MAX_CACHE_SIZE`
`static int` `DEFAULT_MAX_ENTRIES`
`static int` `KB`
`static int` `MB`
`static String` `STAT_BASECACHE_ADD_COUNT`
`static String` `STAT_BASECACHE_ENTRY_COUNT`
`static String` `STAT_BASECACHE_HIT_COUNT`
`static String` `STAT_BASECACHE_MAX_ENTRIES`
`static String` `STAT_BASECACHE_MISS_COUNT`
`static String` `STAT_BASECACHE_OVERFLOW_COUNT`
`static String` `STAT_BASECACHE_REFRESH_COUNT`
`static String` `STAT_BASECACHE_REMOVAL_COUNT`
`static String` `STAT_BASECACHE_TABLE_SIZE`
`static String` `STAT_BASECACHE_THRESHOLD`
`static String` `STAT_BOUNDEDMULTILRUCACHE_CURRENT_SIZE`
`static String` `STAT_BOUNDEDMULTILRUCACHE_MAX_SIZE`
`static String` `STAT_DEFAULT`
`static String` `STAT_LRUCACHE_LIST_LENGTH`
`static String` `STAT_LRUCACHE_TRIM_COUNT`
`static String` `STAT_MULTILRUCACHE_SEGMENT_LIST_LENGTH`
`static String` `STAT_MULTILRUCACHE_SEGMENT_SIZE`
`static String` `STAT_MULTILRUCACHE_TRIM_COUNT`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STAT_DEFAULT

    public static final String STAT_DEFAULT

See Also:
  Constant Field Values

### DEFAULT_MAX_ENTRIES

    public static final int DEFAULT_MAX_ENTRIES

See Also:
  Constant Field Values

### DEFAULT_MAX_CACHE_SIZE

    public static final long DEFAULT_MAX_CACHE_SIZE

See Also:
  Constant Field Values

### KB

    public static final int KB

See Also:
  Constant Field Values

### MB

    public static final int MB

See Also:
  Constant Field Values

### STAT_BASECACHE_MAX_ENTRIES

    public static final String STAT_BASECACHE_MAX_ENTRIES

See Also:
  Constant Field Values

### STAT_BASECACHE_THRESHOLD

    public static final String STAT_BASECACHE_THRESHOLD

See Also:
  Constant Field Values

### STAT_BASECACHE_TABLE_SIZE

    public static final String STAT_BASECACHE_TABLE_SIZE

See Also:
  Constant Field Values

### STAT_BASECACHE_ENTRY_COUNT

    public static final String STAT_BASECACHE_ENTRY_COUNT

See Also:
  Constant Field Values

### STAT_BASECACHE_HIT_COUNT

    public static final String STAT_BASECACHE_HIT_COUNT

See Also:
  Constant Field Values

### STAT_BASECACHE_MISS_COUNT

    public static final String STAT_BASECACHE_MISS_COUNT

See Also:
  Constant Field Values

### STAT_BASECACHE_REMOVAL_COUNT

    public static final String STAT_BASECACHE_REMOVAL_COUNT

See Also:
  Constant Field Values

### STAT_BASECACHE_REFRESH_COUNT

    public static final String STAT_BASECACHE_REFRESH_COUNT

See Also:
  Constant Field Values

### STAT_BASECACHE_OVERFLOW_COUNT

    public static final String STAT_BASECACHE_OVERFLOW_COUNT

See Also:
  Constant Field Values

### STAT_BASECACHE_ADD_COUNT

    public static final String STAT_BASECACHE_ADD_COUNT

See Also:
  Constant Field Values

### STAT_LRUCACHE_LIST_LENGTH

    public static final String STAT_LRUCACHE_LIST_LENGTH

See Also:
  Constant Field Values

### STAT_LRUCACHE_TRIM_COUNT

    public static final String STAT_LRUCACHE_TRIM_COUNT

See Also:
  Constant Field Values

### STAT_MULTILRUCACHE_SEGMENT_SIZE

    public static final String STAT_MULTILRUCACHE_SEGMENT_SIZE

See Also:
  Constant Field Values

### STAT_MULTILRUCACHE_SEGMENT_LIST_LENGTH

    public static final String STAT_MULTILRUCACHE_SEGMENT_LIST_LENGTH

See Also:
  Constant Field Values

### STAT_MULTILRUCACHE_TRIM_COUNT

    public static final String STAT_MULTILRUCACHE_TRIM_COUNT

See Also:
  Constant Field Values

### STAT_BOUNDEDMULTILRUCACHE_CURRENT_SIZE

    public static final String STAT_BOUNDEDMULTILRUCACHE_CURRENT_SIZE

See Also:
  Constant Field Values

### STAT_BOUNDEDMULTILRUCACHE_MAX_SIZE

    public static final String STAT_BOUNDEDMULTILRUCACHE_MAX_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.